<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.crgs.moveinDetails.mapper.MoveinDrRaninsresMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.crgs.moveinDetails.entity.MoveinDrRaninsres">
        <id column="CHECKRESID" property="checkresid" />
        <result column="INSENTERID" property="insenterid" />
        <result column="RANINSPLANID" property="raninsplanid" />
        <result column="RANINSPLANNAME" property="raninsplanname" />
        <result column="RANINSTASKID" property="raninstaskid" />
        <result column="RANINSTASKNAME" property="raninstaskname" />
        <result column="RANINSTYPE" property="raninstype" />
        <result column="RANINSTYPENAME" property="raninstypename" />
        <result column="PRIPID" property="pripid" />
        <result column="UNISCID" property="uniscid" />
        <result column="REGNO" property="regno" />
        <result column="ENTNAME" property="entname" />
        <result column="INSAUTHCODE" property="insauthcode" />
        <result column="INSAUTH" property="insauth" />
        <result column="INSDATE" property="insdate" />
        <result column="RANINSITEM" property="raninsitem" />
        <result column="RANINSITEMNAME" property="raninsitemname" />
        <result column="RANINSCHECKRES" property="raninscheckres" />
        <result column="RANINSCHECKRESNAME" property="raninscheckresname" />
        <result column="REMARK" property="remark" />
        <result column="PUBDATE" property="pubdate" />
        <result column="S_EXT_FROMNODE" property="sExtFromnode" />
        <result column="S_EXT_DATATIME" property="sExtDatatime" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        CHECKRESID, INSENTERID, RANINSPLANID, RANINSPLANNAME, RANINSTASKID, RANINSTASKNAME, RANINSTYPE, RANINSTYPENAME, PRIPID, UNISCID, REGNO, ENTNAME, INSAUTHCODE, INSAUTH, INSDATE, RANINSITEM, RANINSITEMNAME, RANINSCHECKRES, RANINSCHECKRESNAME, REMARK, PUBDATE, S_EXT_FROMNODE, S_EXT_DATATIME, create_time, update_time
    </sql>

</mapper>
